# Icy TV
This application provides means of authentication when using the [nginx-rtmp-module](https://github.com/arut/nginx-rtmp-module) NGINX module via a configured OAuth2 provider. It also includes a player (powered by [hls.js](https://github.com/video-dev/hls.js/)) that provides viewer counts using WebSockets.

## Setup
Using this application requires an instance of [NGINX](https://nginx.org/). See [nginx.example.conf] for example configuration. Another thing you need is a running instance of [Redis](https://redis.io) in order to store sessions. And finally, you need an OAuth2 provider.

1. Clone this repository
2. `npm install`
3. Copy the example configuration `config.example.toml` to `config.toml` and edit it
4. `npm run build` to build the front-end scripts
5. `npm start` to run in production (requires an HTTPS proxy!), `npm run serve` to run in development mode

## Developing
Run the front-end watch task using `npm run watch`.

## License
The MIT License
